## INTRODUCTION

This module allows you to drop add a setting to your settings.php and related files to indicate which config settings
are overridden for local or multidev purposes.

## REQUIREMENTS

None

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## CONFIGURATION

- In your settings.php, settings.local.php file, add the following line after the `<?php` line:

```php
if (!isset($settings['knownOverrides'])) {
  $settings['knownOverrides'] = [];
}
```

- When every you make an override in your settings.php or settings.local.php file, add the key to the
  `$settings['knownOverrides']` array.

```php
// Send all local emails to the dashboard via the Mail Safety module.
$config['mail_safety.settings']['enabled'] = TRUE;
$config['mail_safety.settings']['send_mail_to_dashboard'] = TRUE;
// Add the settings config name to the knownOverrides array.
$settings['knownOverrides'][] = 'mail_safety.settings';
```

- Give the permission `known overrides report` to the roles that should be able to see the report.
- Visit `/admin/reports/known-overrides` to see the report.

## MAINTAINERS

Current maintainers for Drupal 10:

- Matt Burke (mattyb) - https://www.drupal.org/u/mattyb

